List payout batches for paypoint
Retrieve a list of MoneyOut batches for a paypoint. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.
Path parameters
entry
The entity’s entrypoint identifier. Learn more
Query parameters
exportFormat
Export format for file downloads. When specified, returns data as a file instead of JSON.
Allowed values:
fromRecord
The number of records to skip before starting to collect the result set.
limitRecord
Max number of records to return for the query. Use 0 or negative value to return all records.
parameters
Collection of field names, conditions, and values used to filter the query. See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for more information.
**List of field names accepted**:
- `batchDate` (gt, ge, lt, le, eq, ne)
- `batchNumber` (ne, eq)
- `batchAmount` (gt, ge, lt, le, eq, ne)
- `parentOrgId` (ne, eq, nin, in)
- `status` (in, nin, eq, ne)
- `orgId` (eq)
- `paypointLegal` (ne, eq, ct, nct)
- `paypointDba` (ne, eq, ct, nct)
- `orgName` (ne, eq, ct, nct)
- `paypointId` (ne, eq)
- `externalPaypointID` (ct, nct, eq, ne)
sortBy
The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.
Response
Success
Records
Summary
Errors
400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error